CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions | Enumerations
Chip Info

## Functions
ProtocolBitVector_t | ChipInfo_GetSupportedProtocol_BV (void)
| Returns bit vector showing supported protocols. More...
__STATIC_INLINE bool | ChipInfo_SupportsBLE (void)
| Returns true if the chip supports the BLE protocol. More...
__STATIC_INLINE bool | ChipInfo_SupportsIEEE_802_15_4 (void)
| Returns true if the chip supports the IEEE 802.15.4 protocol. More...
__STATIC_INLINE bool | ChipInfo_SupportsPROPRIETARY (void)
| Returns true if the chip supports propriatary protocols. More...
PackageType_t | ChipInfo_GetPackageType (void)
| Returns package type. More...
__STATIC_INLINE bool | ChipInfo_PackageTypeIs4x4 (void)
| Returns true if this is a 4x4mm chip. More...
__STATIC_INLINE bool | ChipInfo_PackageTypeIs5x5 (void)
| Returns true if this is a 5x5mm chip. More...
__STATIC_INLINE bool | ChipInfo_PackageTypeIs7x7 (void)
| Returns true if this is a 7x7mm chip. More...
__STATIC_INLINE uint32_t | ChipInfo_GetDeviceIdHwRevCode (void)
| Returns the internal chip HW revision code. More...
ChipFamily_t | ChipInfo_GetChipFamily (void)
| Returns chip family member. More...
__STATIC_INLINE bool | ChipInfo_ChipFamilyIsCC26xx (void)
| Returns true if this chip is member of the CC26xx family. More...
__STATIC_INLINE bool | ChipInfo_ChipFamilyIsCC13xx (void)
| Returns true if this chip is member of the CC13xx family. More...
HwRevision_t | ChipInfo_GetHwRevision (void)
| Returns chip HW revision. More...
__STATIC_INLINE bool | ChipInfo_HwRevisionIs_1_0 (void)
| Returns true if HW revision for this chip is 1.0. More...
__STATIC_INLINE bool | ChipInfo_HwRevisionIs_GTEQ_2_0 (void)
| Returns true if HW revision for this chip is 2.0 or greater. More...
__STATIC_INLINE bool | ChipInfo_HwRevisionIs_2_0 (void)
| Returns true if HW revision for this chip is 2.0. More...
__STATIC_INLINE bool | ChipInfo_HwRevisionIs_2_1 (void)
| Returns true if HW revision for this chip is 2.1. More...
__STATIC_INLINE bool | ChipInfo_HwRevisionIs_2_2 (void)
| Returns true if HW revision for this chip is 2.2. More...
__STATIC_INLINE bool | ChipInfo_HwRevisionIs_GTEQ_2_2 (void)
| Returns true if HW revision for this chip is 2.2 or greater. More...
void | ThisCodeIsBuiltForCC26xxHwRev22AndLater_HaltIfViolated (void)
| Verifies that current chip is built for CC26xx HwRev 2.2 or later and never returns if violated. More...

## Enumerations
enum | ProtocolBitVector_t { PROTOCOL_Unknown = 0, PROTOCOLBIT_BLE = 0x02, PROTOCOLBIT_IEEE_802_15_4 = 0x04, PROTOCOLBIT_Proprietary = 0x08 }
| Enumeration identifying the protocols supported. More...
enum | PackageType_t { PACKAGE_Unknown = -1, PACKAGE_4x4 = 0, PACKAGE_5x5 = 1, PACKAGE_7x7 = 2 }
| Package type enumeration. More...
enum | ChipFamily_t { FAMILY_Unknown = -1, FAMILY_CC26xx = 0, FAMILY_CC13xx = 1 }
| Chip family enumeration. More...
enum | HwRevision_t { HWREV_Unknown = -1, HWREV_1_0 = 0, HWREV_2_0 = 1, HWREV_2_1 = 2, HWREV_2_2 = 3 }
| HW revision enumeration. More...

## Detailed Description

## Function Documentation

__STATIC_INLINE bool ChipInfo_ChipFamilyIsCC13xx | ( | void |  | ) |

Returns true if this chip is member of the CC13xx family.

Returns
  Returns `true` if this chip is member of the CC13xx family, `false` otherwise.

Definition at line 260 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_ChipFamilyIsCC26xx | ( | void |  | ) |

Returns true if this chip is member of the CC26xx family.

Returns
  Returns `true` if this chip is member of the CC26xx family, `false` otherwise.

Definition at line 246 of file chipinfo.h.

Referenced by ThisCodeIsBuiltForCC26xxHwRev22AndLater_HaltIfViolated().

ChipFamily_t ChipInfo_GetChipFamily | ( | void |  | ) |

Returns chip family member.

Returns
  Returns ChipFamily_t

Definition at line 90 of file chipinfo.c.

Referenced by ChipInfo_ChipFamilyIsCC13xx(), and ChipInfo_ChipFamilyIsCC26xx().

__STATIC_INLINE uint32_t ChipInfo_GetDeviceIdHwRevCode | ( | void |  | ) |

Returns the internal chip HW revision code.

Returns
  Returns the internal chip HW revision code (in range 0-15)

Definition at line 209 of file chipinfo.h.

Referenced by ChipInfo_GetChipFamily(), and ChipInfo_GetHwRevision().

HwRevision_t ChipInfo_GetHwRevision | ( | void |  | ) |

Returns chip HW revision.

Returns
  Returns HwRevision_t

Definition at line 111 of file chipinfo.c.

Referenced by ChipInfo_HwRevisionIs_1_0(), ChipInfo_HwRevisionIs_2_0(), ChipInfo_HwRevisionIs_2_1(), ChipInfo_HwRevisionIs_2_2(), ChipInfo_HwRevisionIs_GTEQ_2_0(), and ChipInfo_HwRevisionIs_GTEQ_2_2().

PackageType_t ChipInfo_GetPackageType | ( | void |  | ) |

Returns package type.

Returns
  Returns PackageType_t

Definition at line 67 of file chipinfo.c.

Referenced by ChipInfo_PackageTypeIs4x4(), ChipInfo_PackageTypeIs5x5(), and ChipInfo_PackageTypeIs7x7().

ProtocolBitVector_t ChipInfo_GetSupportedProtocol_BV | ( | void |  | ) |

Returns bit vector showing supported protocols.

Returns
  Returns ProtocolBitVector_t which is a bit vector indicating supported protocols.

Definition at line 56 of file chipinfo.c.

Referenced by ChipInfo_SupportsBLE(), ChipInfo_SupportsIEEE_802_15_4(), and ChipInfo_SupportsPROPRIETARY().

__STATIC_INLINE bool ChipInfo_HwRevisionIs_1_0 | ( | void |  | ) |

Returns true if HW revision for this chip is 1.0.

Returns
  Returns `true` if HW revision for this chip is 1.0, `false` otherwise.

Definition at line 297 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_HwRevisionIs_2_0 | ( | void |  | ) |

Returns true if HW revision for this chip is 2.0.

Returns
  Returns `true` if HW revision for this chip is 2.0, `false` otherwise.

Definition at line 325 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_HwRevisionIs_2_1 | ( | void |  | ) |

Returns true if HW revision for this chip is 2.1.

Returns
  Returns `true` if HW revision for this chip is 2.1, `false` otherwise.

Definition at line 339 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_HwRevisionIs_2_2 | ( | void |  | ) |

Returns true if HW revision for this chip is 2.2.

Returns
  Returns `true` if HW revision for this chip is 2.2, `false` otherwise.

Definition at line 353 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_HwRevisionIs_GTEQ_2_0 | ( | void |  | ) |

Returns true if HW revision for this chip is 2.0 or greater.

Returns
  Returns `true` if HW revision for this chip is 2.0 or greater, `false` otherwise.

Definition at line 311 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_HwRevisionIs_GTEQ_2_2 | ( | void |  | ) |

Returns true if HW revision for this chip is 2.2 or greater.

Returns
  Returns `true` if HW revision for this chip is 2.2 or greater, `false` otherwise.

Definition at line 367 of file chipinfo.h.

Referenced by ThisCodeIsBuiltForCC26xxHwRev22AndLater_HaltIfViolated().

__STATIC_INLINE bool ChipInfo_PackageTypeIs4x4 | ( | void |  | ) |

Returns true if this is a 4x4mm chip.

Returns
  Returns `true` if this is a 4x4mm chip, `false` otherwise.

Definition at line 167 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_PackageTypeIs5x5 | ( | void |  | ) |

Returns true if this is a 5x5mm chip.

Returns
  Returns `true` if this is a 5x5mm chip, `false` otherwise.

Definition at line 181 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_PackageTypeIs7x7 | ( | void |  | ) |

Returns true if this is a 7x7mm chip.

Returns
  Returns `true` if this is a 7x7mm chip, `false` otherwise.

Definition at line 195 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_SupportsBLE | ( | void |  | ) |

Returns true if the chip supports the BLE protocol.

Returns
  Returns `true` if supporting the BLE protocol, `false` otherwise.

Definition at line 102 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_SupportsIEEE_802_15_4 | ( | void |  | ) |

Returns true if the chip supports the IEEE 802.15.4 protocol.

Returns
  Returns `true` if supporting the IEEE 802.15.4 protocol, `false` otherwise.

Definition at line 116 of file chipinfo.h.

__STATIC_INLINE bool ChipInfo_SupportsPROPRIETARY | ( | void |  | ) |

Returns true if the chip supports propriatary protocols.

Returns
  Returns `true` if supporting propriatary protocols, `false` otherwise.

Definition at line 130 of file chipinfo.h.

void ThisCodeIsBuiltForCC26xxHwRev22AndLater_HaltIfViolated | ( | void |  | ) |

Verifies that current chip is built for CC26xx HwRev 2.2 or later and never returns if violated.

Returns
  None

Definition at line 161 of file chipinfo.c.

Referenced by trimDevice().

## Enumeration Type Documentation

enum ChipFamily_t

Chip family enumeration.

Enumerator
FAMILY_Unknown | Chip family member is unknown.
FAMILY_CC26xx | This chip is a CC26xx family member.
FAMILY_CC13xx | This chip is a CC13xx family member.

Definition at line 221 of file chipinfo.h.

enum HwRevision_t

HW revision enumeration.

Enumerator
HWREV_Unknown | Chip HW revision is unknown.
HWREV_1_0 | This chip's HW revision is 1.0.
HWREV_2_0 | This chip's HW revision is 2.0.
HWREV_2_1 | This chip's HW revision is 2.1.
HWREV_2_2 | This chip's HW revision is 2.2.

Definition at line 270 of file chipinfo.h.

enum PackageType_t

Package type enumeration.

Enumerator
PACKAGE_Unknown | Current chip type is unknown.
PACKAGE_4x4 | This is a 4x4mm chip.
PACKAGE_5x5 | This is a 5x5mm chip.
PACKAGE_7x7 | This is a 7x7mm chip.

Definition at line 141 of file chipinfo.h.

enum ProtocolBitVector_t

Enumeration identifying the protocols supported.

Note
  This is a bit vector enumeration that indicates supported protocols. E.g: 0x06 means that the chip supports both BLE and IEEE 802.15.4

Enumerator
PROTOCOL_Unknown | None of the known protocols are supported.
PROTOCOLBIT_BLE | Bit[1] set, indicates that Bluetooth Low Energy is supported.
PROTOCOLBIT_IEEE_802_15_4 | Bit[2] set, indicates that IEEE 802.15.4 is supported.
PROTOCOLBIT_Proprietary | Bit[3] set, indicates that proprietary protocols are supported.

Definition at line 75 of file chipinfo.h.